@font-face {
  font-family: "CooperLtBT";
  src: url("../../font/CooperLtBT-Regular.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "CooperLtBT";
  src: url("../../font/CooperLtBT-Bold.ttf") format("truetype");
  font-weight: bold;
  font-style: normal;
}

/* Global Reset */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "CooperLtBT", sans-serif;
}


h1, h2, h4 {
  font-family: "CooperLtBT", sans-serif;
  font-weight: bold;
}

.orange-color {
  color: #d84518;
}

.main-heading {
  font-family: "CooperLtBT", sans-serif;
  font-size: 40px;
  font-weight: bold;
}

.sub-heading {
  font-family: "CooperLtBT", sans-serif;
  font-size: 20px;
  font-weight: 600;
}

.para-text {
  font-family: "CooperLtBT", sans-serif;
  font-size: 16px;
  color: #444;
}

/* Common Animation */
@keyframes fadeSlideUp {
  from {
    transform: translateY(30px);
    opacity: 0;
  }
  to {
    transform: translateY(0);
    opacity: 1;
  }
}

.main-heading,
.sub-heading,
.para-text,
.dream-subheading {
  opacity: 0;
}

.sub-heading.animated {
  animation: fadeSlideUp 0.8s ease forwards;
  animation-delay: 0.1s;
}

.main-heading.animated {
  animation: fadeSlideUp 0.8s ease forwards;
  animation-delay: 0.4s;
}

.para-text.animated {
  animation: fadeSlideUp 0.8s ease forwards;
  animation-delay: 0.7s;
}

.dream-heading.animated {
  animation: fadeSlideUp 0.8s ease forwards;
  animation-delay: 0.4s;
}

button.animated{
animation: fadeSlideUp 0.8s ease forwards;
animation-delay: 0.7s;
}

/* ====================== Navbar Styles ====================== */
@keyframes slideDown {
  from {
    transform: translateY(-100%);
    opacity: 0;
  }
  to {
    transform: translateY(0);
    opacity: 1;
  }
}

/* ========== NAVBAR ========== */
.main-navbar {
  background-color: #f6f6f6;
  animation: slideDown 0.6s ease-out;
  position: relative;
  z-index: 999;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.05);
}

.main-navbar .container {
  max-width: 1290px;
  margin: auto;
}

.main-navbar .navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  /* padding: 15px 0; */
  width: 90%;
  gap: 10px;
}

.logo img {
  height: 80px;
  transition: height 0.3s;
}

.nav-links {
  display: flex;
  align-items: center;
  gap: 30px;
}

.nav-links a {
  text-decoration: none;
  color: #333;
  font-size: 17px;
  position: relative;
  padding: 5px 0;
  transition: color 0.3s ease;
}

.nav-links a::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 0;
  height: 2px;
  background: #d84518;
  transition: width 0.3s ease;
}

.nav-links a:hover {
  color: #d84518;
}

.nav-links a:hover::after {
  width: 100%;
}

.search-btn {
  background: none;
  border: none;
  font-size: 17px;
  color: black;
  cursor: pointer;
}

.search-btn:hover {
  color: #d84518;
}

.contact-btn {
  padding: 8px 16px;
  border: 1px solid #ccc;
  border-radius: 10px;
  background-color: white;
  color: #333;
  font-size: 16px;
  cursor: pointer;
  transition: all 0.3s ease;
}

.contact-btn:hover {
  background-color: #d84518;
  color: white;
  border-color: #d84518;
  transform: scale(1.05);
}

.menu-toggle {
  display: none;
  font-size: 28px;
  cursor: pointer;
}

.close-btn {
  display: none;
}

.mobile-logo {
  display: none;
}

.nav-right-controls {
  display: none;
}

@keyframes slideDown {
  from {
    transform: translateY(-100%);
    opacity: 0;
  }
  to {
    transform: translateY(0);
    opacity: 1;
  }
}

/* ========== FLOATING SEARCH BOX ========== */
.floating-search-box {
  position: fixed;
  top: 90px;             
  left: 66%;
  width: 500px;
  max-width: 90%;
  background: white;
  transform: translate(-50%, -20px);
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.15);
  border-radius: 8px;
  padding: 15px;
  z-index: 9999;
  display: none;
  flex-direction: column;
  gap: 10px;
  opacity: 0;
  transition: all 0.35s ease;
  pointer-events: none;
}

/* Show animation */
.floating-search-box.show {
  opacity: 1;
  transform: translate(-50%, 0) scale(1);
  pointer-events: auto;
}


.floating-search-box .search-bar {
  display: flex;
  align-items: center;
  border: 1px solid #ccc;
  border-radius: 8px;
  padding: 6px 10px;
  gap: 10px;
}

.floating-search-box .search-bar i {
  font-size: 18px;
  color: #888;
}

.floating-search-box .search-bar .search-input {
  flex: 1;
  border: none;
  outline: none;
  font-size: 16px;
}

.floating-search-box .search-bar .close-btn {
  background: none;
  border: none;
  font-size: 20px;
  color: #333;
  cursor: pointer;
  display: block;
}

.floating-search-box .search-results {
  background: #fff;
  padding: 10px;
  border-radius: 6px;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.05);
}

/* ========== RESPONSIVE ========== */
@media screen and (max-width: 991px) {
  .logo img {
    height: 50px;
  }

  .menu-toggle {
    display: block;
  }

  .mobile-search {
    display: block;
  }

  .desktop-search {
    display: none;
  }

  .nav-right-controls {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-left: auto;
  }

  .nav-links {
    flex-direction: column;
    gap: 20px;
    background-color: #fff;
    position: fixed;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100vh;
    padding: 80px 30px 30px;
    box-shadow: 2px 0 8px rgba(0, 0, 0, 0.1);
    z-index: 1000;
    transition: left 0.4s ease, opacity 0.3s;
    align-items: flex-start;
    opacity: 0;
  }

  .nav-links.active {
    left: 0;
    opacity: 1;
  }

  .nav-links a {
    opacity: 0;
    transform: translateX(20px);
    transition: all 0.3s ease;
  }

  .nav-links.active a {
    opacity: 1;
    transform: translateX(0);
  }

  .close-btn {
    display: block;
    position: absolute;
    top: 20px;
    right: 20px;
    font-size: 35px;
    cursor: pointer;
    color: #333;
  }

  .mobile-logo {
    display: block;
    margin-bottom: 20px;
  }

  .mobile-logo img {
    height: 50px;
  }

  .floating-search-box {
    position: fixed !important;
    top: 90px !important;
    left: 60% !important;
    transform: translateX(-50%) !important;
  }
}



html {
  scroll-behavior: smooth;
}

@media (max-width: 767px) {
  .main-heading {
    font-size: 30px;
  }
      .floating-search-box {
    position: fixed !important;
    top: 90px !important;
    left: 50% !important;
    transform: translateX(-50%) !important;
  }
}



/* Footer Styles */
.site-footer {
    background: #fff;
    color: #000;
    font-weight: normal;
    font-size: 15px;
}

.site-footer .footer-wrapper {
    display: flex;
    justify-content: space-between;
    gap: 40px;
    padding: 30px 5px 20px;
    flex-wrap: wrap;
}

.site-footer .footer-col {
    flex: 1;
    min-width: 280px;
    border-right: 1px solid rgba(0, 0, 0, 0.1);
    padding-right: 30px;
    opacity: 0;
    transform: translateY(30px);
    transition: all 0.6s ease;
}

.site-footer .footer-col.no-border {
    border-right: none;
    padding-right: 0;
}

.site-footer .footer-logo {
    width: 220px;
    margin-bottom: 20px;
}

.site-footer .footer-col h4 {
    font-size: 18px;
    margin: 20px 0 10px;
    font-weight: 600;
}

.footer-col p {
    line-height: 1.6;
    margin: 10px 0;
    display: flex;
    align-items: center;
    gap: 3px;
}

.footer-col p i {
    flex-shrink: 0;
    font-size: 18px;
    margin-top: 3px; /* icon ko text ke vertical center ke close laya */
} 


/* Footer Bottom - Proper Space Between */
.footer-bottom .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 10px;
}

.site-footer .footer-links {
    list-style: none;
    padding: 0;
    margin: 0 0 10px;
}

.site-footer .footer-links li {
    margin: 6px 0;
    display: flex;
    align-items: center;
}

.footer-links.dot-style {
    list-style: none;
    padding-left: 1em;
}

.footer-links.dot-style li::before {
    content: "•";
    color: #000;
    font-weight: bold;
    display: inline-block;
    width: 1em;
    margin-left: -1em;
}

.footer-links li:hover {
    color: #d84518;
    cursor: pointer;
}

.site-footer .social-icons i {
    font-size: 24px;
    margin-right: 12px;
    color: #d84518;
    transition: 0.3s;
    cursor: pointer;
}


.site-footer .social-icons i:hover {
    color: #000;
}

/* Bottom Footer */
.site-footer .footer-bottom {
    background-color: #d84518;
    color: #fff;
    padding: 15px 0px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    opacity: 0;
    transform: translateY(30px);
    transition: all 0.6s ease;
}

.site-footer .footer-bottom a {
    color: #fff;
    text-decoration: none;
    margin-left: 10px;

}

.site-footer .footer-bottom a:hover {
    text-decoration: underline;
}

/* AOS animate-on-scroll instant override */
[data-aos] {
    opacity: 1 !important;
    transform: none !important;
}

/* Responsive */
@media (max-width: 768px) {
    .site-footer .footer-wrapper {
        flex-direction: column;
        gap: 30px;
        padding: 40px 20px;
    }

    .site-footer .footer-col {
        border-right: none;
        padding-right: 0;
    }

    .site-footer .footer-logo {
        width: 180px;
    }

    .site-footer .footer-bottom {
        flex-direction: column;
        text-align: center;
        gap: 8px;
    }
     .footer-bottom .container {
        flex-direction: column;
        gap: 8px;
        text-align: center;
    }
}




/* Overlay background */
.form-popup-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.7);
  display: none;
  align-items: center;
  justify-content: center;
  z-index: 9999;
}

/* Popup box */
.form-popup-overlay  .form-popup-box {
  background: #fff;
  padding: 30px;
  width: 100%;
  max-width: 450px;
  border-radius: 12px;
  box-shadow: 0 10px 30px rgba(0,0,0,0.3);
  position: relative;
  animation: fadeIn 0.3s ease-in-out;
}

@keyframes fadeIn {
  from { transform: translateY(-20px); opacity: 0; }
  to { transform: translateY(0); opacity: 1; }
}

/* Close button */
.form-popup-overlay  .form-close-btn {
  position: absolute;
  top: 12px;
  right: 15px;
  font-size: 24px;
  color: #888;
  cursor: pointer;
}

/* Form styling */
.form-popup-overlay  .popup-heading {
  margin-bottom: 20px;
  font-size: 24px;
  color: #333;
  text-align: center;
}

.form-popup-overlay  .popup-form input,
.form-popup-overlay  .popup-form textarea {
  width: 100%;
  margin-bottom: 15px;
  padding: 12px 15px;
  border: 1px solid #ccc;
  border-radius: 8px;
  font-size: 16px;
  outline: none;
  transition: border-color 0.3s;
}

.form-popup-overlay  .popup-form input:focus,
.form-popup-overlay  .popup-form textarea:focus {
  border-color: #e4572e;
}

/* Submit Button */
.form-popup-overlay  .submit-btn {
  background-color: #e4572e;
  color: #fff;
  border: none;
  padding: 12px;
  width: 100%;
  font-size: 16px;
  border-radius: 8px;
  cursor: pointer;
  transition: background 0.3s ease;
}

body.modal-open {
  overflow: hidden;
  position: fixed;
  width: 100%;
}

.form-popup-overlay  .submit-btn:hover {
  background-color: #cf3e17;
}



/* Dream Home Section */
.dream-home-section {
    background-color: #ffffff;
    padding: 60px 20px;
}

.dream-heading {
    font-size: 1.75rem;
    color: #000;
    margin-bottom: 0.75rem;
    font-weight: 600;
}

.dream-subheading {
    font-size: 1rem;
    color: #444;
    margin-bottom: 0;
    max-width: 500px;
}

.dream-home-btn {
    background-color: #e84f22;
    cursor: pointer;
    color: #fff;
    padding: 17px 100px;
    font-size: 1.2rem;
    border-radius: 18px;
    text-decoration: none;
    display: inline-block;
    transition: background 0.3s ease;
}

.dream-home-btn:hover {
    background-color: #cf6c10;
}

/* Responsive Tweaks */
@media (max-width: 991px) {
    .dream-heading {
        font-size: 20px;
    }

    .dream-width{
    max-width:70%;
    }

    .dream-home-btn {
        padding: 10px 20px;
    }
}

@media (max-width: 576px) {
    .dream-home-section{
        padding: 30px 10px;
    }
      .dream-width{
    max-width:100%;
    }

    .dream-home-btn {
        width: 100%;
        max-width: 200px;
        text-align: center;
        padding: 14px 20px;
        font-size: 0.95rem;
    }
        .dream-heading{
            font-size: 20px;
        }

           .dream-heading {
        font-size: 20px;
    }
    .dream-subheading{
        font-size: 16px;
    }
}






/* cookie policy  */
.cookie-policy-popup .cookie-popup {
  position: fixed;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
   font-family: "CooperLtBT", sans-serif;
  width: 100%;
  max-width: 100%;
  background-color: #fff;
  color: #fff;
  box-shadow: 0 8px 20px #0003;
  padding: 30px;
  z-index: 1000;
  opacity: 0;
  visibility: hidden;
  transition: bottom .5s, opacity .5s
}

.cookie-policy-popup .cookie-popup.active {
  visibility: visible;
  opacity: 1
}

.cookie-policy-popup .cookie-popup .cookie-content h3 {
  margin: 0 0 10px;
  font-size: 1.5rem;
  color: #121212;
  font-family: "CooperLtBT", sans-serif;
}

.cookie-policy-popup .cookie-popup .cookie-content p {
  font-size: .9rem;
  margin: 0 0 20px;
  color: #121212
}

.cookie-policy-popup .cookie-popup .cookie-content .acceptPolicy {
  border: none;
  background: 0 0;
  color: #0b5a7e;
  font-weight: 600
}

.cookie-policy-popup .cookie-popup .cookie-content .policies {
  color: #0b5a7e;
  text-decoration: none;
  cursor: pointer !important;
  font-weight: 600
}

.cookie-policy-popup .cookie-popup .cookie-content .button-container {
  margin-top: 15px;
  text-align: right;
  display: flex;
  justify-content: start;
  flex-wrap: wrap;
  gap: 15px
}

.cookie-policy-popup .cookie-popup .cookie-content .button-container .cookie-btn:first-child {
  background-color: #0b5a7e;
  color: #fff
}

.cookie-policy-popup .cookie-popup .cookie-content .button-container .cookie-btn {
  font-family: "CooperLtBT", sans-serif;
  background-color: #ccc;
  color: #000;
  border: none;
  padding: 8px 20px;
  border-radius: 5px;
  cursor: pointer;
  width: 10%
}

@media (min-width:768px) and (max-width:767px) {
  .cookie-policy-popup .cookie-popup .cookie-content .button-container .cookie-btn {
    width: 15%
  }
}

@media (max-width:767px) {
  .navbar-logo img {
    max-height: 32px
  }

  .navbar .nav-link {
    font-size: 13px;
    margin-right: 6px
  }

  .navbar .nav-link .icon {
    width: 20px;
    height: 20px
  }

  .header .navbar-right .nav-link:first-child,
  .header .navbar-right .nav-link:nth-child(2) {
    display: none
  }

  .navbar {
    padding: 20px 0 !important
  }

  .menu .menu-btn .lines span {
    width: 20px;
    height: 2px
  }

  .menu .menu-btn .lines span:nth-child(2) {
    top: 7px
  }

  .menu .menu-btn .lines span:nth-child(3) {
    top: 14px
  }

  .search-list-wrapper {
    right: 5%;
    top: 100%;
    width: 90%
  }

  .search-bar {
    max-width: 100%;
    padding: 16px 12px
  }

  .search-bar input {
    font-size: 14px
  }

  .search-bar .search-close-icon,
  .search-bar i,
  .wrp-ct .ico {
    font-size: 16px
  }

  .wrp-ct {
    right: 5%;
    top: 90%
  }

  .wrp-ct .ico {
    width: 40px;
    height: 40px;
    margin: 10px
  }

  .enquiry-form {
    right: 2%;
    top: 70px;
    width: 96%;
    z-index: 9
  }

  .popup {
    right: 0;
    justify-content: center;
    align-items: center
  }

  .popup-content {
    max-width: 100%;
    width: 90%
  }

  .cookie-policy-popup .cookie-popup .cookie-content .button-container .cookie-btn {
    width: 30%
  }
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0
}

input [type=number] {
  -moz-appearance: textfield
}
